> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# Create a Recurring PayPal PayIn (CIT or MIT)

POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/payins/payment-methods/paypal/recurring
Content-Type: application/json

Request a recurring PayPal pay-in based on a `RecurringPayinRegistrationId` with `PaymentType` `PAYPAL`, obtained from [POST Create a Recurring PayIn Registration](/api-reference/recurring-payin-registrations/create-recurring-payin-registration).

There are two possible paylods: 
- **CIT** – Customer-initiated transaction when the user is on session, requiring them to authenticate via PayPal on the `RedirectURL` returned.
- **MIT** – Subsequent merchant-initiated transactions in the absence of the user, based on the initial successful authentication.

Read the guide to [PayPal recurring payments](/guides/payment-methods/paypal#recurring-payments) **&rarr;**

Reference: https://docs.mangopay.com/api-reference/paypal/create-recurring-paypal-payin

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

### Body (application/json)

This endpoint expects a paypal_create_recurring_paypal_payin_Request.

- `paypal_create_recurring_paypal_payin_Request`

## Response

### 200

Success

- `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created.
- `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction.
- `DebitedFunds` (RecurringPayPalPayInResponseDebitedFunds, optional) — Information about the debited funds. The amount must be equal to the total of all `UnitAmount` and `TaxAmount` of all `LineItems`.
- `CreditedFunds` (RecurringPayPalPayInResponseCreditedFunds, optional) — Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).
- `Fees` (RecurringPayPalPayInResponseFees, optional) — Information about the fees.
- `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction.
- `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
- `ResultMessage` (string, optional) — The explanation of the result code.
- `ExecutionDate` (integer, optional) — Unix timestamp (UTC) of the date and time the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
- `Type` (string, optional) — **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT` The type of the transaction.
- `Nature` (string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The nature of the transaction, providing more information about the context in which the transaction occurred: - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
- `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet.
- `PaymentType` (string, optional) — **Returned values:** `PAYPAL` The payment type of the pay-in.
- `ExecutionType` (string, optional) — **Returned values:** `DIRECT` The execution type of the pay-in.
- `ReturnURL` (string, optional) — Max. length: 255 characters The URL to which the user is returned after the payment, whether the transaction is successful or not.
- `RedirectURL` (string, optional) — The URL to which to redirect the user to complete the payment. **Caution:** This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
- `StatementDescriptor` (string, optional) — Max. length: 10 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
- `Shipping` (RecurringPayPalPayInResponseShipping, optional) — Information about the end user's shipping address, managed by `ShippingPreference`.
- `LineItems` (list of RecurringPayPalPayInResponseLineItemsItems, optional) — Information about the items purchased in the transaction. The total of all line items' `UnitAmount` and `TaxAmount` must equal the `DebitedFunds` amount (negative amounts not allowed).
- `Culture` (string, optional) — **Returned values:** One of the supported languages in the [ISO 639-1 format](/api-reference/overview/data-formats): AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US. The language in which the PayPal payment page is to be displayed.
- `ShippingPreference` (string, optional) — **Returned values:** `SET_PROVIDED_ADDRESS`, `GET_FROM_FILE`, `NO_SHIPPING` Information about the shipping address behavior on the PayPal payment page: - `SET_PROVIDED_ADDRESS` - The `Shipping` parameter becomes required and its values are displayed to the end user, who is not able to modify them. - `GET_FROM_FILE` – The `Shipping` parameter is ignored and the end user can choose from registered addresses. - `NO_SHIPPING` – No shipping address section is displayed.
- `PaypalBuyerAccountEmail` (string, optional) — The email address registered on the PayPal account used to make the payment.
- `Reference` (string, optional) — Max. length: 127 characters (truncated after) The platform's order reference for the transaction.
- `Trackings` (list of RecurringPayPalPayInResponseTrackingsItems, optional) — Shipping information of the `LineItems` added to the pay-in object.
- `CancelURL` (string, optional) — The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the `RedirectURL`.
- `PaypalPayerID` (string, optional) — The PayPal identifier of the buyer.
- `BuyerCountry` (string, optional) — The country of the buyer.
- `BuyerFirstname` (string, optional) — The first name of the buyer.
- `BuyerLastname` (string, optional) — The last name of the buyer.
- `BuyerPhone` (string, optional) — The mobile phone number of the buyer.
- `PaypalOrderID` (string, optional) — PayPal's unique identifier for the order.
- `RecurringPayinRegistrationId` (string, optional) — The unique identifier of the recurring pay-in registration.

## Errors

### 400 Bad Request Error

Bad Request

- `Message` (string, optional) — Description of the error.
- `Type` (string, optional) — The category of the error.
- `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support.
- `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered.
- `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors.

## Types

### CreateARecurringPayPalPayInCITRequest

Request body for a PayPal customer-initiated transaction (CIT).

- `ReturnURL` (string, required) — Max. length: 255 characters The URL to which the user is returned after the payment, whether the transaction is successful or not.
- `LineItems` (list of CreateARecurringPayPalPayInCitRequestLineItemsItems, required) — Information about the items purchased in the transaction. The total of all line items' `UnitAmount` and `TaxAmount` must equal the `DebitedFunds` amount (negative amounts not allowed).
- `RecurringPayinRegistrationId` (string, optional) — The unique identifier of the recurring pay-in registration.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `CancelURL` (string, optional) — The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the `RedirectURL`.
- `StatementDescriptor` (string, optional) — Max. length: 10 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
- `Shipping` (CreateARecurringPayPalPayInCitRequestShipping, optional) — **Default values:** `Shipping` information of the registration object (if present). Required if `ShippingPreference` is `SET_PROVIDED_ADDRESS` and the shipping information is not present in the recurring registration object. Information about the end user's shipping address, managed by `ShippingPreference`.
- `Culture` (string, optional) — **Allowed values:** One of the supported languages in the [ISO 639-1 format](/api-reference/overview/data-formats): AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US. The language in which the PayPal payment page is to be displayed.
- `ShippingPreference` (string, optional) — **Allowed values:** `SET_PROVIDED_ADDRESS`, `GET_FROM_FILE`, `NO_SHIPPING` Information about the shipping address behavior on the PayPal payment page: - `SET_PROVIDED_ADDRESS` - The `Shipping` parameter becomes required and its values are displayed to the end user, who is not able to modify them. - `GET_FROM_FILE` – The `Shipping` parameter is ignored and the end user can choose from registered addresses. - `NO_SHIPPING` – No shipping address section is displayed.
- `Reference` (string, optional) — Max. length: 127 characters (truncated after) The platform's order reference for the transaction.
- `DataCollectionId` (string, optional) — The unique identifier of the Data Collection object, returned after sending the requested data to the [POST Submit data for a PayPal PayIn](/api-reference/paypal/submit-data-paypal-payin) endpoint.

### CreateARecurringPayPalPayInMITRequest

Request body for a PayPal merchant-initiated transaction (MIT).

- `ReturnURL` (string, required) — Max. length: 255 characters The URL to which the user is returned after the payment, whether the transaction is successful or not.
- `LineItems` (list of CreateARecurringPayPalPayInMitRequestLineItemsItems, required) — Information about the items purchased in the transaction. The total of all line items' `UnitAmount` and `TaxAmount` must equal the `DebitedFunds` amount (negative amounts not allowed).
- `RecurringPayinRegistrationId` (string, optional) — The unique identifier of the recurring pay-in registration.
- `DebitedFunds` (CreateARecurringPayPalPayInMitRequestDebitedFunds, optional) — Information about the debited funds. This property overrides the `FirstTransactionDebitedFunds` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `FirstTransactionDebitedFunds` or the pay-in's `DebitedFunds`.
- `Fees` (CreateARecurringPayPalPayInMitRequestFees, optional) — Information about the fees. This property overrides the `FirstTransactionFees` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `FirstTransactionFees` or the pay-in's `Fees`.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `StatementDescriptor` (string, optional) — Max. length: 10 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
- `Shipping` (CreateARecurringPayPalPayInMitRequestShipping, optional) — **Default values:** `Shipping` information of the registration object (if present). Required if `ShippingPreference` is `SET_PROVIDED_ADDRESS` and the shipping information is not present in the recurring registration object. Information about the end user's shipping address, managed by `ShippingPreference`.
- `Culture` (string, optional) — **Allowed values:** One of the supported languages in the [ISO 639-1 format](/api-reference/overview/data-formats): AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US. The language in which the PayPal payment page is to be displayed.
- `ShippingPreference` (string, optional) — **Allowed values:** `SET_PROVIDED_ADDRESS`, `GET_FROM_FILE`, `NO_SHIPPING` Information about the shipping address behavior on the PayPal payment page: - `SET_PROVIDED_ADDRESS` - The `Shipping` parameter becomes required and its values are displayed to the end user, who is not able to modify them. - `GET_FROM_FILE` – The `Shipping` parameter is ignored and the end user can choose from registered addresses. - `NO_SHIPPING` – No shipping address section is displayed.
- `Reference` (string, optional) — Max. length: 127 characters (truncated after) The platform's order reference for the transaction.
- `DataCollectionId` (string, optional) — The unique identifier of the Data Collection object, returned after sending the requested data to the [POST Submit data for a PayPal PayIn](/api-reference/paypal/submit-data-paypal-payin) endpoint.

### RecurringPayPalPayInResponseDebitedFunds

Information about the debited funds. The amount must be equal to the total of all `UnitAmount` and `TaxAmount` of all `LineItems`.

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### RecurringPayPalPayInResponseCreditedFunds

Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### RecurringPayPalPayInResponseFees

Information about the fees.

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### RecurringPayPalPayInResponseShipping

Information about the end user's shipping address, managed by `ShippingPreference`.

- `FirstName` (string, optional) — The first name of the user.
- `LastName` (string, optional) — The last name of the user.
- `Address` (Address, optional) — The postal address.

### RecurringPayPalPayInResponseLineItemsItems

- `Name` (string, optional) — The name of the item.
- `Quantity` (integer, optional) — The quantity of the item.
- `UnitAmount` (integer, optional) — The cost of the item, excluding tax.
- `TaxAmount` (integer, optional) — The tax amount applied to the item.
- `Description` (string, optional) — The platform's unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay `UserId` or the seller's business name or first name and last name. **Caution:** Failure to use a unique seller identifier may result in PayPal restricting your service.
- `Category` (string, optional) — **Returned values:** `PHYSICAL_GOODS`, `DIGITAL_GOODS`, `DONATION` The category of the item: - `PHYSICAL_GOODS` – Tangible items that can be physically shipped and received with proof of delivery upon arrival. - `DIGITAL_GOODS` – Products or services that are distributed and consumed via digital platforms or devices. - `DONATION` – Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized as `DONATION` within a single transaction, however it is not possible to combine `DONATION` other line item categories within the same transaction.

### RecurringPayPalPayInResponseTrackingsItems

- `TrackingNumber` (string, optional) — The shipment's tracking number provided by the carrier.
- `Carrier` (string, optional) — The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version.
- `NotifyBuyer` (boolean, optional) — **Default value:** false If `true`, sends an email notification to the `PaypalBuyerAccountEmail` containing the `TrackingNumber` and `Carrier`, which allows the end user to track their shipment with the carrier.

### CreateARecurringPayPalPayInCitRequestLineItemsItems

- `Name` (string, required) — The name of the item.
- `Quantity` (integer, required) — The quantity of the item.
- `UnitAmount` (integer, required) — The cost of the item, excluding tax.
- `Description` (string, required) — The platform's unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay `UserId` or the seller's business name or first name and last name. **Caution:** Failure to use a unique seller identifier may result in PayPal restricting your service.
- `TaxAmount` (integer, optional) — The tax amount applied to the item.
- `Category` (string, optional) — **Allowed values:** PHYSICAL_GOODS, DIGITAL_GOODS, DONATION The category of the item: - `PHYSICAL_GOODS` – Tangible items that can be physically shipped and received with proof of delivery upon arrival. - `DIGITAL_GOODS` – Products or services that are distributed and consumed via digital platforms or devices. - `DONATION` – Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized as `DONATION` within a single transaction, however it is not possible to combine `DONATION` other line item categories within the same transaction.

### CreateARecurringPayPalPayInCitRequestShipping

**Default values:** `Shipping` information of the registration object (if present). Required if `ShippingPreference` is `SET_PROVIDED_ADDRESS` and the shipping information is not present in the recurring registration object. Information about the end user's shipping address, managed by `ShippingPreference`.

- `FirstName` (string, optional) — The first name of the user.
- `LastName` (string, optional) — The last name of the user.
- `Address` (Address, optional) — The postal address.

### CreateARecurringPayPalPayInMitRequestLineItemsItems

- `Name` (string, required) — The name of the item.
- `Quantity` (integer, required) — The quantity of the item.
- `UnitAmount` (integer, required) — The cost of the item, excluding tax.
- `Description` (string, required) — The platform's unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay `UserId` or the seller's business name or first name and last name. **Caution:** Failure to use a unique seller identifier may result in PayPal restricting your service.
- `TaxAmount` (integer, optional) — The tax amount applied to the item.
- `Category` (string, optional) — **Allowed values:** PHYSICAL_GOODS, DIGITAL_GOODS, DONATION The category of the item: - `PHYSICAL_GOODS` – Tangible items that can be physically shipped and received with proof of delivery upon arrival. - `DIGITAL_GOODS` – Products or services that are distributed and consumed via digital platforms or devices. - `DONATION` – Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized as `DONATION` within a single transaction, however it is not possible to combine `DONATION` other line item categories within the same transaction.

### CreateARecurringPayPalPayInMitRequestDebitedFunds

Information about the debited funds. This property overrides the `FirstTransactionDebitedFunds` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `FirstTransactionDebitedFunds` or the pay-in's `DebitedFunds`.

- `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### CreateARecurringPayPalPayInMitRequestFees

Information about the fees. This property overrides the `FirstTransactionFees` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `FirstTransactionFees` or the pay-in's `Fees`.

- `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### CreateARecurringPayPalPayInMitRequestShipping

**Default values:** `Shipping` information of the registration object (if present). Required if `ShippingPreference` is `SET_PROVIDED_ADDRESS` and the shipping information is not present in the recurring registration object. Information about the end user's shipping address, managed by `ShippingPreference`.

- `FirstName` (string, optional) — The first name of the user.
- `LastName` (string, optional) — The last name of the user.
- `Address` (Address, optional) — The postal address.

### Address

The postal address.

- `AddressLine1` (string, optional) — The first line of the address.
- `AddressLine2` (string, optional) — The second line of the address.
- `City` (string, optional) — The city of the address.
- `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address.
- `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
- `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address.

## Examples

### PayPal CIT

**Request**

```json
{
  "body": {
    "CancelURL": "http://example.net",
    "LineItems": [
      {
        "Category": "PHYSICAL_GOODS",
        "Description": "ID of Seller 1",
        "Name": "Running shoes",
        "Quantity": 1,
        "TaxAmount": 1000,
        "UnitAmount": 4000
      },
      {
        "Category": "PHYSICAL_GOODS",
        "Description": "ID of Seller 2",
        "Name": "Walking shoes",
        "Quantity": 1,
        "TaxAmount": 1000,
        "UnitAmount": 4000
      }
    ],
    "RecurringPayinRegistrationId": "recpayinreg_wt_be7e55b9-8b0c-4a87-a815-00e55748c723",
    "Reference": "abcd-efgh-ijkl",
    "ReturnURL": "http://example.com",
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "StatementDescriptor": "Example123",
    "Tag": "Created using the Mangopay API Postman collection"
  }
}
```

**Response**

```json
{
  "Id": "wt_0c7bd61f-c3f0-49b7-94dc-b97bd650be3d",
  "Tag": "Created using the Mangopay API Postman collection",
  "CreationDate": 1732630635,
  "AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
  "DebitedFunds": {
    "Currency": "EUR",
    "Amount": 10000
  },
  "CreditedFunds": {
    "Currency": "EUR",
    "Amount": 9900
  },
  "Fees": {
    "Currency": "EUR",
    "Amount": 100
  },
  "Status": "CREATED",
  "ResultCode": null,
  "ResultMessage": null,
  "ExecutionDate": null,
  "Type": "PAYIN",
  "Nature": "REGULAR",
  "CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
  "PaymentType": "PAYPAL",
  "ExecutionType": "WEB",
  "ReturnURL": "http://example.com?transactionId=wt_0c7bd61f-c3f0-49b7-94dc-b97bd650be3d",
  "RedirectURL": "https://www.sandbox.paypal.com/agreements/approve?approval_session_id=8C820771K64683846",
  "StatementDescriptor": "Example123",
  "Shipping": {
    "FirstName": "Alex",
    "LastName": "Smith",
    "Address": {
      "AddressLine1": "6 rue de la Cité",
      "AddressLine2": "Appartement 3",
      "City": "Paris",
      "Region": "île-de-france",
      "PostalCode": "75003",
      "Country": "FR"
    }
  },
  "LineItems": [
    {
      "Name": "Product A subscription package",
      "Quantity": 1,
      "UnitAmount": 4000,
      "TaxAmount": 1000,
      "Description": "ID of Seller 1",
      "Category": "PHYSICAL_GOODS"
    },
    {
      "Name": "Product B subscription package",
      "Quantity": 1,
      "UnitAmount": 4000,
      "TaxAmount": 1000,
      "Description": "ID of Seller 2",
      "Category": "PHYSICAL_GOODS"
    }
  ],
  "Culture": null,
  "ShippingPreference": "SET_PROVIDED_ADDRESS",
  "PaypalBuyerAccountEmail": null,
  "Reference": "abcd-efgh-ijkl",
  "Trackings": null,
  "CancelURL": "http://example.net?transactionId=wt_0c7bd61f-c3f0-49b7-94dc-b97bd650be3d",
  "PaypalPayerID": null,
  "BuyerCountry": null,
  "BuyerFirstname": null,
  "BuyerLastname": null,
  "BuyerPhone": null,
  "PaypalOrderID": null,
  "RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42",
  "CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK"
}
```

### PayPal MIT

**Request**

```json
{
  "body": {
    "CancelURL": "http://example.net",
    "DebitedFunds": {
      "Amount": 4500,
      "Currency": "EUR"
    },
    "Fees": {
      "Amount": 0,
      "Currency": "EUR"
    },
    "LineItems": [
      {
        "Category": "PHYSICAL_GOODS",
        "Description": "ID of Seller 1",
        "Name": "Product C",
        "Quantity": 1,
        "TaxAmount": 0,
        "UnitAmount": 1500
      },
      {
        "Category": "PHYSICAL_GOODS",
        "Description": "ID of Seller 2",
        "Name": "Product D",
        "Quantity": 1,
        "TaxAmount": 0,
        "UnitAmount": 3000
      }
    ],
    "RecurringPayinRegistrationId": "recpayinreg_wt_be7e55b9-8b0c-4a87-a815-00e55748c723",
    "Reference": "abcd-efgh-ijkl",
    "ReturnURL": "http://example.com",
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "StatementDescriptor": "Example123",
    "Tag": "Created using the Mangopay API Postman collection"
  }
}
```

**Response**

```json
{
  "Id": "wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
  "Tag": "Created using the Mangopay API Postman collection",
  "CreationDate": 1731580317,
  "AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
  "DebitedFunds": {
    "Currency": "EUR",
    "Amount": 4500
  },
  "CreditedFunds": {
    "Currency": "EUR",
    "Amount": 4500
  },
  "Fees": {
    "Currency": "EUR",
    "Amount": 0
  },
  "Status": "SUCCEEDED",
  "ResultCode": "000000",
  "ResultMessage": "Success",
  "ExecutionDate": 1731580323,
  "Type": "PAYIN",
  "Nature": "REGULAR",
  "CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
  "PaymentType": "PAYPAL",
  "ExecutionType": "WEB",
  "ReturnURL": "http://example.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
  "StatementDescriptor": "Example123",
  "Shipping": {
    "FirstName": "Leland",
    "LastName": "Baumbach",
    "Address": {
      "AddressLine1": "65247 Hand Walk",
      "AddressLine2": "Mraz Neck",
      "City": "Paris",
      "Region": "Île-de-France",
      "PostalCode": "75001",
      "Country": "FR"
    }
  },
  "LineItems": [
    {
      "Name": "Product C",
      "Quantity": 1,
      "UnitAmount": 1500,
      "TaxAmount": 0,
      "Description": "ID of Seller 1",
      "Category": "PHYSICAL_GOODS"
    },
    {
      "Name": "Product D",
      "Quantity": 1,
      "UnitAmount": 3000,
      "TaxAmount": 0,
      "Description": "ID of Seller 2",
      "Category": "PHYSICAL_GOODS"
    }
  ],
  "Culture": "FR",
  "ShippingPreference": "SET_PROVIDED_ADDRESS",
  "PaypalBuyerAccountEmail": "sb-xej7a6945106@business.example.com",
  "Reference": "abcd-efgh-ijkl",
  "Trackings": null,
  "CancelURL": "http://example.net?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
  "PaypalPayerID": "RVN3GJJS2KGV4",
  "BuyerCountry": "FR",
  "BuyerFirstname": "John",
  "BuyerLastname": "Doe",
  "BuyerPhone": null,
  "PaypalOrderID": "9KH88598NK328901B",
  "RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42",
  "CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK"
}
```